Tenant credential
curl --request GET 'https://api.printools.io/v1/prebuilt-items' \
--header 'X-API-Key: $PRINTOOLS_API_KEY'import requests
url = "https://api.printools.io/v1/prebuilt-items"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.printools.io/v1/prebuilt-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "OK",
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "draft",
"tags": [
"<string>"
],
"computedUnitPriceExGst": 123,
"computedTotalQuantity": 123,
"totalQuantity": 123,
"lines": [
{
"id": "<string>",
"preBuiltItemId": "<string>",
"lineType": "garment",
"quantity": 123,
"unitPriceExGst": 123,
"sortOrder": 123,
"garmentCatalogueItemId": "<string>",
"productName": "<string>",
"productSku": "<string>",
"title": "<string>",
"description": "<string>",
"valueType": "Flat",
"percentage": 123,
"customImageUrl": "<string>"
}
],
"variants": [
{
"id": "<string>",
"preBuiltItemLineId": "<string>",
"quantity": 123,
"markupType": "percentage",
"markupValue": 123,
"markupSource": "group",
"unitPriceExGst": 123,
"sortOrder": 123,
"isCustomLine": true,
"showOnDocuments": true,
"size": "<string>",
"colour": "<string>",
"buyPrice": 123,
"extraCost": 123
}
],
"decorations": [
{
"id": "<string>",
"preBuiltItemId": "<string>",
"quantity": 123,
"includeSetupCost": true,
"markupType": "percentage",
"markupValue": 123,
"markupSource": "group",
"colours": [
{
"name": "<string>",
"isBase": true
}
],
"rollUp": true,
"rollUpSetup": true,
"showOnDocuments": true,
"sortOrder": 123,
"decorationItemId": "<string>",
"method": "<string>",
"name": "<string>",
"description": "<string>",
"position": "<string>",
"unitCost": 123,
"setupCost": 123,
"baseUnitCost": 123,
"baseSetupCost": 123,
"notes": "<string>",
"widthCm": 123,
"lengthCm": 123,
"necklineDropCm": 123,
"screenCount": 123,
"screenMeshGrade": "<string>",
"colourCount": 123,
"specialInstructions": "<string>",
"artworkFileUrl": "<string>",
"separationFileUrl": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"notes": "<string>",
"thumbnailUrl": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}{
"error": "<string>",
"message": "<string>",
"status": false
}Pre-built items
List pre-built items
Requires the scope prebuiltitems.read.
GET
/
v1
/
prebuilt-items
Tenant credential
Required scopes:
prebuiltitems.read.Authorizations
tenantApiKeypartnerApiKey & partnerApiSecret & partnerBearer
Tenant credential. This is sufficient by itself.
Headers
Tenant credential: optional and, when sent, must equal the shop bound to the key. Partner credential: required; it selects an organisation the user previously authorised.
Was this page helpful?

